#!/usr/bin/python

from charmhelpers.core.services.base import ServiceManager

import actions
import thruk_helpers


def manage():
    manager = ServiceManager([
        {
            'service': 'thruk-external-agent',
            'provided_data': [
                # context managers for provided relations
                # e.g.: helpers.HttpRelation()
                thruk_helpers.ThrukAgentRelation(),
            ],
            'data_ready': [
                actions.notify_thrukmaster_relation,
                actions.update_nrpe_config,
                actions.thruk_fix_ssl,
            ],

        },
    ])
    manager.manage()
